Provable Markets

ContractEventsService

CancelContractAccepted

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/CancelContractAccepted

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

CancelContractRejected

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/CancelContractRejected

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractBuyInAccepted

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractBuyInAccepted

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.BuyIn)

Fields: id, contract_id, quantity, price, status

required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

request_id
required
string

User populated id of the request this response is for

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractBuyInExecuted

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractBuyInExecuted

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.BuyIn)

Fields: id, contract_id, quantity, price, status

required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

request_id
required
string

User populated id of the request this response is for

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractBuyInRejected

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractBuyInRejected

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.BuyIn)

Fields: id, contract_id, quantity, price, status

required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

reject_reason
required
string (aurora.core.consts.contractbuyin.ContractBuyInRejectReason)
Enum: "NONE" "OUTSIDE_SUPPORTED_HOURS" "UNSUPPORTED_MESSAGE_DETAILS" "UNKNOWN_EXECID_NOT_YOUR_LOAN" "LOAN_INELIGIBLE" "INVALID_BUYIN_QTY" "OTHER"
reject_text
required
string

Further explanation why the buyin was rejected (outside the window for buyin instructions)

request_id
required
string

User populated id of the request this response is for

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractCreated

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractCreated

SecurityBearer
Request
Request Body schema: application/json
required

Contract has been created (ContractStatus is 'New')

required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractDropped

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractDropped

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractMade

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractMade

SecurityBearer
Request
Request Body schema: application/json
required

Contract has been approved by the DTCC (ContractStatus is now 'Open')

required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractPending

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractPending

SecurityBearer
Request
Request Body schema: application/json
required

Contract created and waiting for a Delivery Order (ContractStatus is 'Pending')

required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRateModificationAccepted

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRateModificationAccepted

SecurityBearer
Request
Request Body schema: application/json
required
contract_id
required
string

Contract identifier (persistent identifier inside Aurora system)

id
required
string

Id of the rate_modification assigned by Aurora

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

request_id
required
string

User populated id of the original rate_modification request

status
required
string (aurora.core.consts.contractratemodification.ContractRateModificationStatus)

Different stages of a rate renegotiation

Enum: "PROPOSED" "ACCEPTED" "FINALIZED" "REJECTED" "CANCELED" "DROPPED" "EXPIRED"
Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRateModificationAutoCanceled

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRateModificationAutoCanceled

SecurityBearer
Request
Request Body schema: application/json
required
contract_id
required
string

Contract identifier (persistent identifier inside Aurora system)

id
required
string

Id of the rate_modification assigned by Aurora

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

request_id
required
string

User populated id of the original rate_modification request

status
required
string (aurora.core.consts.contractratemodification.ContractRateModificationStatus)

Different stages of a rate renegotiation

Enum: "PROPOSED" "ACCEPTED" "FINALIZED" "REJECTED" "CANCELED" "DROPPED" "EXPIRED"
Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRateModificationCanceled

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRateModificationCanceled

SecurityBearer
Request
Request Body schema: application/json
required
contract_id
required
string

Contract identifier (persistent identifier inside Aurora system)

id
required
string

Id of the rate_modification assigned by Aurora

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

request_id
required
string

User populated id of the original rate_modification request

status
required
string (aurora.core.consts.contractratemodification.ContractRateModificationStatus)

Different stages of a rate renegotiation

Enum: "PROPOSED" "ACCEPTED" "FINALIZED" "REJECTED" "CANCELED" "DROPPED" "EXPIRED"
Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRateModificationExecuted

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRateModificationExecuted

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRateModificationExpired

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRateModificationExpired

SecurityBearer
Request
Request Body schema: application/json
required
contract_id
required
string

Contract identifier (persistent identifier inside Aurora system)

id
required
string

Id of the rate_modification assigned by Aurora

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

request_id
required
string

User populated id of the original rate_modification request

status
required
string (aurora.core.consts.contractratemodification.ContractRateModificationStatus)

Different stages of a rate renegotiation

Enum: "PROPOSED" "ACCEPTED" "FINALIZED" "REJECTED" "CANCELED" "DROPPED" "EXPIRED"
Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRateModificationOpened

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRateModificationOpened

SecurityBearer
Request
Request Body schema: application/json
required
contract_id
required
string

Contract identifier (persistent identifier inside Aurora system)

id
required
string

Id of the rate_modification assigned by Aurora

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

request_id
required
string

User populated id of the original rate_modification request

status
required
string (aurora.core.consts.contractratemodification.ContractRateModificationStatus)

Different stages of a rate renegotiation

Enum: "PROPOSED" "ACCEPTED" "FINALIZED" "REJECTED" "CANCELED" "DROPPED" "EXPIRED"
Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRateModificationRejected

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRateModificationRejected

SecurityBearer
Request
Request Body schema: application/json
required
contract_id
required
string

Contract identifier (persistent identifier inside Aurora system)

id
required
string

Id of the rate_modification assigned by Aurora

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

request_id
required
string

User populated id of the original rate_modification request

status
required
string (aurora.core.consts.contractratemodification.ContractRateModificationStatus)

Different stages of a rate renegotiation

Enum: "PROPOSED" "ACCEPTED" "FINALIZED" "REJECTED" "CANCELED" "DROPPED" "EXPIRED"
Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRecallCancelRejected

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRecallCancelRejected

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

required
object (aurora.core.apiengine.contractsv1.Recall)

Fields: id, contract_id, recall_status, quantity, allowed_execution_date, initiator_company_id

reject_reason
required
string (aurora.core.consts.contractcancelrecall.ContractCancelRecallRejectReason)
Enum: "NONE" "OUTSIDE_SUPPORTED_HOURS" "UNSUPPORTED_MESSAGE_DETAILS" "UNKNOWN_LOAN_RECALL" "LOAN_INELIGIBLE" "INVALID_LOAN_RECALL_QTY" "UNKNOWN_LOAN_ID" "OTHER"
reject_text
required
string

Further explanation why the recall was not canceled (outside the window for cancel instructions)

request_id
required
string

User populated id of the request this response is for

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRecallCanceled

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRecallCanceled

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

required
object (aurora.core.apiengine.contractsv1.Recall)

Fields: id, contract_id, recall_status, quantity, allowed_execution_date, initiator_company_id

request_id
required
string

User populated id of the request this response is for

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRecallExecuted

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRecallExecuted

Contract recall resolved — either by borrower returning shares or by lender executing a buy-in

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

required
object (aurora.core.apiengine.contractsv1.Recall)

Fields: id, contract_id, recall_status, quantity, allowed_execution_date, initiator_company_id

request_id
required
string

User populated id of the request this response is for

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRecallOpened

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRecallOpened

Contract recall opened (acknowledged by the DTCC)

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

required
object (aurora.core.apiengine.contractsv1.Recall)

Fields: id, contract_id, recall_status, quantity, allowed_execution_date, initiator_company_id

request_id
required
string

User populated id of the request this response is for

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRecallRejected

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRecallRejected

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

required
object (aurora.core.apiengine.contractsv1.Recall)

Fields: id, contract_id, recall_status, quantity, allowed_execution_date, initiator_company_id

reject_reason
required
string (aurora.core.consts.contractrecall.ContractRecallRejectReason)
Enum: "NONE" "OUTSIDE_SUPPORTED_HOURS" "UNSUPPORTED_MESSAGE_DETAILS" "UNKNOWN_LOAN_RECALL" "LOAN_INELIGIBLE" "INVALID_LOAN_RECALL_QTY" "UNKNOWN_LOAN_ID" "OTHER"
reject_text
required
string

Further explanation why the recall was rejected (outside the window for recall instructions)

request_id
required
string

User populated id of the request this response is for

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRecallUpdated

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRecallUpdated

Corp Action announced for the shares under recall

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

required
object (aurora.core.apiengine.contractsv1.Recall)

Fields: id, contract_id, recall_status, quantity, allowed_execution_date, initiator_company_id

request_id
required
string

User populated id of the request this response is for

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRejected

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRejected

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractReturnAcceptedByLender

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractReturnAcceptedByLender

SecurityBearer
Request
Request Body schema: application/json
required
accepted_quantity
required
string <int64>

return quantity accepted by lender

contract_id
required
string

Contract identifier (persistent identifier inside Aurora system)

request_id
required
string

User populated id of the request this response is for

return_id
required
string

accepted by lender contract return identifier (persistent identifier inside Aurora system)

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractReturnCancelAccepted

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractReturnCancelAccepted

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

required
object (aurora.core.apiengine.contractsv1.ContractReturn)

Fields: id, contract_id, quantity, status

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractReturnCancelRejected

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractReturnCancelRejected

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

required
object (aurora.core.apiengine.contractsv1.ContractReturn)

Fields: id, contract_id, quantity, status

reject_reason
required
string (aurora.core.consts.contractcancelreturn.ContractCancelReturnRejectReason)

possible reasons for cancellations to be rejected

Enum: "NONE" "OUTSIDE_SUPPORTED_HOURS" "UNSUPPORTED_MESSAGE_DETAILS" "UNKNOWN_LOAN_ID" "INELIGIBLE" "OTHER"
reject_text
required
string

reason text why the return was rejected

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractReturnCanceledByBorrower

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractReturnCanceledByBorrower

SecurityBearer
Request
Request Body schema: application/json
required
canceled_quantity
required
string <int64>

return quantity canceled by borrower

contract_id
required
string

Contract identifier (persistent identifier inside Aurora system)

request_id
required
string

User populated id of the request this response is for

return_id
required
string

canceled by borrower contract return identifier (persistent identifier inside Aurora system)

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractReturnDropped

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractReturnDropped

SecurityBearer
Request
Request Body schema: application/json
required
contract_id
required
string

Contract identifier (persistent identifier inside Aurora system)

dropped_quantity
required
string <int64>

return quantity dropped

request_id
required
string

User populated id of the request this response is for

return_id
required
string

dropped contract return identifier (persistent identifier inside Aurora system)

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractReturnExecuted

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractReturnExecuted

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

required
object (aurora.core.apiengine.contractsv1.ContractReturn)

Fields: id, contract_id, quantity, status

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractReturnFailed

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractReturnFailed

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

required
object (aurora.core.apiengine.contractsv1.ContractReturn)

Fields: id, contract_id, quantity, status

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractReturnPending

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractReturnPending

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

required
object (aurora.core.apiengine.contractsv1.ContractReturn)

Fields: id, contract_id, quantity, status

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractReturnPendingLenderApproval

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractReturnPendingLenderApproval

SecurityBearer
Request
Request Body schema: application/json
required
contract_id
required
string

Contract identifier (persistent identifier inside Aurora system)

request_id
required
string

User populated id of the request this response is for

return_id
required
string

Awaiting approval contract return identifier (persistent identifier inside Aurora system)

return_quantity
required
string <int64>

return quantity pending approval

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractReturnRejected

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractReturnRejected

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

required
object (aurora.core.apiengine.contractsv1.ContractReturn)

Fields: id, contract_id, quantity, status

reject_reason
required
string (aurora.core.consts.contractreturn.ContractReturnRejectReason)

possible reasons for returns to be rejected

Enum: "NONE" "OUTSIDE_SUPPORTED_HOURS" "UNSUPPORTED_MESSAGE_DETAILS" "UNKNOWN_LOAN_ID" "INELIGIBLE" "OTHER"
reject_text
required
string

reason text why the return was rejected

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractReturnRejectedByLender

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractReturnRejectedByLender

SecurityBearer
Request
Request Body schema: application/json
required
contract_id
required
string

Contract identifier (persistent identifier inside Aurora system)

rejected_quantity
required
string <int64>

return quantity rejected by lender

request_id
required
string

User populated id of the request this response is for

return_id
required
string

rejected by lender contract return identifier (persistent identifier inside Aurora system)

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRolled

PATH: /aurora.core.apiengine.contractsv1.ContractEventsService/ContractRolled

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractsv1.Contract)

Current status of the contract according to Aurora
Fields: id, settlement_type, settlement_id, instrument, side, counterparty_id, status, quantity, rate_details, collateral_rate, rounding_rule, interest_due_amount, market_value, contract_value, contract_value_adjustment, created_at, settlement_date, recalled_quantity, returned_quantity, agreement_id, last_close_price, last_quantity, last_market_value, last_contract_value

request_id
required
string

User populated id of this request

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }